<?php
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	if ( post_password_required() ) { ?>
		<p class="nocomments">This post is password protected. Enter the password to view comments.</p>
	<?php
		return;
	}
?>
<?php if ( have_comments() ) : ?>
	<?php if ( ! empty($comments_by_type['comment']) ) : ?>
		<h5 id="comments"><?php comments_number('No Opinions have', 'One Opinion has', '% Opinions have' );?> been expressed on &#8220;<?php the_title(); ?>&#8221;. What is your opinion?</h5>
		<ol class="commentlist">
			<?php wp_list_comments('type=comment'); ?>
		</ol>
	<?php endif; ?>
	<?php if ( ! empty($comments_by_type['pings']) ) : ?>
		<h5 id="pings">Trackbacks/Pingbacks</h5>
		<ol class="commentlist">
			<?php wp_list_comments('type=pings'); ?>
		</ol>
	<?php endif; ?>
 <?php else : ?>
	<?php if ('open' == $post->comment_status) : ?>
	 <?php else : ?>
		<p class="nocomments">Comments are closed.</p>
	<?php endif; ?>
<?php endif; ?>
<?php if ('open' == $post->comment_status) : ?>
	<div id="respond">
		<h5><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h5>
		<div class="cancel-comment-reply">
			<small><?php cancel_comment_reply_link(); ?></small>
		</div>
		<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
			<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
		<?php else : ?>
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
				<?php if ( $user_ID ) : ?>
					<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a></p>
				<?php else : ?>
					<p><label for="author"><small>Name <?php if ($req) echo "(required)"; ?></small></label><br />
					<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="40" tabindex="1" /></p>
					<p><label for="email"><small>Mail (will not be published) <?php if ($req) echo "(required)"; ?></small></label><br />
					<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="40" tabindex="2" /></p>
					<p><label for="url"><small>Website</small></label><br />
					<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="40" tabindex="3" /></p>
				<?php endif; ?>
				<label for="comment" class="accessible">Enter comment</label>
				<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>
				<p><input name="submit" type="submit" id="submit-single" tabindex="5" value="Submit Comment" />
				<?php comment_id_fields(); ?></p>
				<?php do_action('comment_form', $post->ID); ?>
				<p>This blog is gravatar enabled. Get yours registered at <a href="http://gravatar.com" title="" rel="nofollow">gravatar.com</a></p>
				
				
			</form>
		<?php endif; ?>
	</div>
<?php endif; ?>