<?php get_header(); ?>
	<div class="container">
        <div id="content">
				<?php if (have_posts()) : ?>
				<?php while (have_posts()) : the_post(); ?>
							<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
								<div class="article-date">
									<div class="article-month"><?php the_time('M y') ?></div>
									<div class="article-day"><?php the_time('d') ?></div>
								</div><!--ARTICLE-DATE-->
								<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
								<small>Posted by <?php the_author_posts_link('namefl'); ?></small>
								<small> | <?php the_tags('Tags: ', ', ', ' '); ?> | Categories: <span class="tag"><?php the_category(', ') ?></span> | <span class="comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span><?php edit_post_link('Edit', ' | ', ''); ?></small>
								<div class="entry">
									<?php the_content("Continue reading " . get_the_title('', '', false) . " &raquo;"); ?>
								</div><!--ENTRY-->
							</div><!--POST-->
						<?php endwhile; ?>
				<?php else : ?>
						<h2 class="center">Not Found</h2>
						<p class="center">Sorry, but you are looking for something that isn't here.</p>
					<?php endif; ?>
			<div class="navigation">
				<div class="alignleft"><?php next_posts_link('&laquo;&laquo; Older Entries') ?></div>
				<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;&raquo;') ?></div>
			</div><!--end navigation-->
      	</div><!--content-->
		<?php get_sidebar(); ?>
		<?php get_footer(); ?>
