<?php get_header(); ?>
	<div class="container">
		<div id="content">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<div class="post" id="post-<?php the_ID(); ?>">
					<div class="article-date">
						<div class="article-month"><?php the_time('M y') ?></div>
						<div class="article-day"><?php the_time('d') ?></div>
					</div><!--ARTICLE-DATE-->
					<h2><?php the_title(); ?></h2>
					<small>Posted by <?php the_author_posts_link('namefl'); ?></small>
					<div class="entry">
						<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
					</div>
				</div>
				<div class="related_post">
				<?php
  				$original_post = $post;
  				$tags = wp_get_post_tags($post->ID);
  				$tagIDs = array();
  				if ($tags) {
    				$tagcount = count($tags);
    				for ($i = 0; $i < $tagcount; $i++) {
      					$tagIDs[$i] = $tags[$i]->term_id;
    				}
    			$args=array(
      			'tag__in' => $tagIDs,
      			'post__not_in' => array($post->ID),
      			'showposts'=>5,
      			'caller_get_posts'=>1
    		);
    		$my_query = new WP_Query($args);
    		if( $my_query->have_posts() ) {
				echo '<h4>Related Posts</h4>';
      			while ($my_query->have_posts()) : $my_query->the_post(); ?>
      				<ul>
						<li><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>
					</ul>
	  			<?php endwhile;
    			}
  				}
  				$post = $original_post;
  				wp_reset_query();
				?>
			</div>
				<div id="single">
				<div class="single-block">
					<p>
					<strong>Post Title</strong>: <?php the_title(); ?><br />
					<strong>Author</strong>: <?php the_author(); ?><br />
					<strong>Posted</strong>: <?php the_time('jS F Y') ?><br />
					<strong>Filed As</strong>: <?php the_category(', ') ?><br />
					<strong>Tags</strong>: <?php the_tags( ' ', ', ', ' '); ?><br />
					You can follow any responses to this entry through the <?php post_comments_feed_link('RSS 2.0'); ?> feed.
					<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
					// Both Comments and Pings are open ?>
					You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.
					<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
					// Only Pings are Open ?>
					Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.
					<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
					// Comments are open, Pings are not ?>
					You can skip to the end and leave a response. Pinging is currently not allowed.
					<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
					// Neither Comments, nor Pings are open ?>
					Both comments and pings are currently closed.
					<?php } edit_post_link('Edit Article','','.'); ?>
					</p>
				</div>
				<div class="single-block">
					<div class="navigation">
						<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
						<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
					</div><!--NAVIGATION-->
				</div>
				<div>
					<div class="single-block">
						<?php comments_template('', true); ?>
					</div>
				</div>
			<?php endwhile; else: ?>
				<div>
					<p>Sorry, no posts matched your criteria.</p>
				</div>
			<?php endif; ?>
		</div><!--SINGLE-->
		</div><!--content-->
		<?php get_sidebar(); ?>
		<?php get_footer(); ?>
