<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<meta name="description" content="Description here" />
<meta name="keywords" content="comma separated keywords here" />
<link rel="shortcut icon" href="<?php bloginfo('url'); ?>/favicon.ico" />
<meta name="robots" content="all" />
<?php if(is_archive()){ ?><meta name="robots" content="noindex"><?php } ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body>
	<div id="skip">
		<a href="#content">Skip Navigation</a>
	</div>
	<div id="header">
    	<h1><a href="<?php echo get_option('home'); ?>/" title="Click for Home"><?php bloginfo('name'); ?></a></h1><br />
		<p><?php bloginfo('description'); ?></p>
	</div>
	<div id="menu">
		<ul id="css-menu">
   			<li><a href="<?php echo get_settings('home'); ?>" title="Home">Home</a></li>
 			<?php  wp_list_pages('title_li'); ?>
			<?php wp_register(); ?>
			<?php wp_meta(); ?>
		</ul>
	</div>
