<?php get_header(); ?>
	<div class="container">
	<div id="content">
		<?php if (have_posts()) : ?>
			<h2>Search Results</h2>
			<?php while (have_posts()) : the_post(); ?>
				<? if (function_exists('wp_list_comments')) : ?>
					<div post_class() id="post-<?php the_ID(); ?>">
				<?php else : ?>
					<div class="post" id="post-<?php the_ID(); ?>">
				<?php endif; ?>
					<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
					<small>Posted <?php the_time('F jS, Y') ?>  by <?php the_author() ?> | <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?><?php edit_post_link('Edit', ' | ', ''); ?></small>
					<div class="entry">
						<?php the_excerpt("Continue reading " . get_the_title('', '', false)); ?>
					</div><!--end entry-->
				</div><!--end post-->
			<?php endwhile; ?>
				<div class="navigation">
					<div class="navigation-left"><?php next_posts_link('&laquo;&laquo; Older Entries') ?></div>
					<div class="navigation-right"><?php previous_posts_link('Newer Entries &raquo;&raquo;') ?></div>
				</div><!--end navigation-->
		<?php else : ?>
			<h2>Search Results</h2>
			<p>You have searched for something that could not be found. To find whatever it is you are looking for, you could:</p>
			<ol>
				<li>Search for a different keyword;</li>
				<?php include (TEMPLATEPATH . '/searchform.php'); ?>
				<li>Select a monthly archive;</li>
				<form id="archiveform" action="">
			<select name="archive_chrono" onchange="window.location =
			(document.forms.archiveform.archive_chrono[document.forms.archiveform.archive_chrono.selectedIndex].value);">
			<option value=''>Select Month</option>
			<?php get_archives('monthly','','option'); ?>
			</select>
			</form> 
				<li>Browse through the categories used on the blog; or
					<ul class="archives">
						<?php wp_list_categories('orderby=name&show_count=1&title_li='); ?>
					</ul>
				</li>
				<li>Browse through the last 20 posts published on this blog.
					<ul class="archives">
						<?php $myposts = get_posts('numberposts=20&offset=0&order=DESC');
						foreach($myposts as $post) : ?>
							<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> <small>- <?php the_time('jS F  Y') ?></small></li>
						<?php endforeach; ?>
					</ul>
				</li>
			</ol>
		<?php endif; ?>
	</div><!--end content-->
<?php get_sidebar(); ?>
<?php get_footer(); ?>